## com.sun.grizzly.async
Class UDPAsyncQueueWriter

    java.lang.Object
      com.sun.grizzly.async.AbstractAsyncQueueWriter
          com.sun.grizzly.async.UDPAsyncQueueWriter

All Implemented Interfaces:
  AsyncQueueWriter

    public class UDPAsyncQueueWriter

extends AbstractAsyncQueueWriter

UDP implementation of `AsyncQueueWriter`

Author:
  Alexey Stashok

Constructor Summary
`UDPAsyncQueueWriter(SelectorHandler selectorHandler)`

Method Summary
`protected void` `doWrite(WritableByteChannel channel, SocketAddress dstAddress, ByteBuffer byteBuffer)`

Methods inherited from class com.sun.grizzly.async.AbstractAsyncQueueWriter
`close, doWrite, hasReadyAsyncWriteData, onClose, onWrite, registerForWriting, write, write, write, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPAsyncQueueWriter

    public UDPAsyncQueueWriter(SelectorHandler selectorHandler)

Method Detail

### doWrite

    protected void doWrite(WritableByteChannel channel,
                           SocketAddress dstAddress,
                           ByteBuffer byteBuffer)
                    throws IOException

  Specified by:
    `doWrite` in class `AbstractAsyncQueueWriter`
  Throws:
    `IOException`

Copyright © 2008 SUN Microsystems. All Rights Reserved.